/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare class AswImageDialog implements OnInit {
    private formBuilder;
    dialogRef: MatDialogRef<AswImageDialog>;
    control: any;
    constants: any;
    aswImageForm: FormGroup;
    constructor(formBuilder: FormBuilder, dialogRef: MatDialogRef<AswImageDialog>, control: any);
    ngOnInit(): void;
    validateFormBuilder(): void;
    editProperty(control: any): void;
    onNoClick(): void;
    onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswImageDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswImageDialog, "asw-image-dialog", never, {}, {}, never, never>;
}
